Swagger::ContactObject Class Reference

Contact information for the exposed API. More...

Inheritance diagram for Swagger::ContactObject:
[legend]

## Public Member Functions

| constructor (hash oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

*string | email
| The email address of the contact person/organization. MUST be in the format of an email address.
*string | name
| The identifying name of the contact person/organization.
*string | url
| The URL pointing to the contact information. MUST be in the format of a URL.
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

Contact information for the exposed API.

## Member Function Documentation

## constructor()

Swagger::ContactObject::constructor | ( | hash | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing contact information about the API

Exceptions

  INVALID-FIELD-TYPE | field has invalid type